% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/functions-OnDiskMSnExp.R
\docType{methods}
\name{dirname}
\alias{dirname}
\alias{dirname,OnDiskMSnExp-method}
\alias{dirname<-,OnDiskMSnExp-method}
\title{Change the file path of an \code{OnDiskMSnExp} object}
\usage{
\S4method{dirname}{OnDiskMSnExp}(path)

\S4method{dirname}{OnDiskMSnExp}(path) <- value
}
\arguments{
\item{path}{\linkS4class{OnDiskMSnExp}.}

\item{value}{\code{character} of length 1 or length equal to the number of files
defining the new path to the files.}
}
\description{
\code{dirname} allows to get and set the path to the directory containing the
source files of the \linkS4class{OnDiskMSnExp} (or \linkS4class{XCMSnExp}) object.
}
\author{
Johannes Rainer
}
